<URL: http://bugs.freeciv.org/Ticket/Display.html?id=40443 >


Le 23 nov. 08 à 11:47, Daniel Markstedt a écrit :

>
> <URL: http://bugs.freeciv.org/Ticket/Display.html?id=40443 >
>
>> [EMAIL PROTECTED] - Mon Aug 18 13:04:45 2008]:
>>
>> Responding to myself...
>>
>> Le 17 août 08 à 01:03, François Marlier a écrit :
>>
>>>
>>> <URL: http://bugs.freeciv.org/Ticket/Display.html?id=40443 >
>>>
>>> Just a few things though, I have no clue how to define
>>> NETWORK_CAPSTRING_MANDATORY and NETWORK_CAPSTRING_OPTIONAL so I both
>>> set these to "" for now.
>>>
>>
>> Found in 'version.in', I tried setting NETWORK_CAPSTRING_MANDATORY
> to
>> "+2.1g" and OPTIONAL to "" but doing will break 'Start New Game' and
>> 'Load Game' functionnalities. What should I do?
>>
>
> Excuse my curiousity, but why do want to define these? :)
>

It is needed for network play.

>>> Also what is that GGZ network thing? I left them undef, if some of
>>> you can provide some basic #define values (or hints on places I can
>>> lurk to get those, Makefile.in maybe?) so I can test that GGZ thing
>>> with that port, I'm sure it will be a major improvement (is the old
>>> game tracker dead or? I can't join it).
>>>
>>
>> Is GGZ, GTK only for now or can it be used with SDL?
>>
>
> Yes, GGZ is GTK-only for now. SDL support is on the wishlist but not  
> on
> the roadmap yet...
>
>>> Oh, and if I can put right values for NEXT_STABLE_VERSION and
>>> RELEASE_MONTH or would it be overkill?
>>>
>>
>> Found in 'version.in', so is now fixed.
>>
>>> cheers,
>>>
>>> Francois
>>>
>>> And... one day I'll have that gettext nls thing working! I
>>> got rid of the embed gettext 0.17 framework and compiled with
>>> provided "intl", I also discovered that it needs charset.alias
>>> directory as LIBDIR... one day...
>>>
>>
>> This broken nsl really annoyed me, I did some progress (I guess).
>> I generated .mo files with a recursive script using gettetxt
> 'msgfmt'
>> command (basicaly doing a 'msgfmt $datadir/locale/$language_prefix/
>> LC_MESSAGES/freeciv.mo $filename.po'). PACKAGE is defined to
>> "freeciv" so I guess
>> Set the right environment value for LC_MESSAGES (fr_FR.ISO8859-1) on
>> my box.
>> Took correct locale.alias from the X11 install on my box.
>> Generated charset.alias (though it created only a * UTF-8 line, so I
>> changed it to * ISO-8859-1) because OS wide /usr/lib/charset.alias
>> was empty (is it safe to leave it empty?).
>> Put charset.alias and locale.alias in the locale folder and defined
>> LIBDIR, LOCALDIR and LOCALE_ALIAS_PATH to "$path_to_data_folder/
> locale"
>> Still no go...
>> Now I'm wondering if 'plural.y' has to be compiled (In case it has
> to
>> be compiled by it's own I already know I have to use bison instead
> of
>> yacc to fix a '%pure_parser' syntax error) or the plural.c (line
> 20):
>> #line 1 "plural.y" is making some kind of inclusion so 'plural.y'
>> doesn't have to be marked for compilation?
>>
>
> What gettext version/package are you using? I myself got nls working  
> on
> my ancient iBook after a year or so of struggling. ;)
>
> Best,
> ~Daniel

I tried with embedded one as well as with 0.17 and various others. Did  
you remember how you did it?

Cheers,

François



_______________________________________________
Freeciv-dev mailing list
Freeciv-dev@gna.org
https://mail.gna.org/listinfo/freeciv-dev

Reply via email to